##
## Outdoor Furniture
## Copyright 2020 Cimap https://cimapminecraft.com/
##

# Tag furniture to be rotated
tag @e[type=fur:pottedtree] add fixed_rot
tag @e[type=fur:gardentable] add fixed_rot
tag @e[type=fur:chair] add fixed_rot
tag @e[type=fur:autodoor] add fixed_rot
tag @e[type=fur:hammock] add fixed_rot
tag @e[type=fur:coffeetable] add fixed_rot
tag @e[type=fur:birdhouse] add fixed_rot
tag @e[type=fur:beachvolleynet] add fixed_rot
tag @e[type=fur:table] add fixed_rot
tag @e[type=fur:couch] add fixed_rot
tag @e[type=fur:fountain] add fixed_rot
tag @e[type=fur:hangingvase] add fixed_rot
tag @e[type=fur:hoop] add fixed_rot

# MOVE TOOL
execute @e[tag=moving,tag=init] ~ ~ ~ scoreboard players add IDS move_id 1
execute @e[tag=moving,tag=init] ~ ~ ~ scoreboard players operation @s move_id = IDS move_id
execute @e[tag=moving,tag=init,scores={move_id=7}] ~ ~ ~ scoreboard players set IDS move_id 1
execute @e[tag=moving,tag=init,scores={move_id=7}] ~ ~ ~ scoreboard players set @s move_id 1
execute @e[tag=moving,tag=init] ~ ~ ~ scoreboard players operation @p move_id = @s move_id
execute @e[tag=moving,tag=init] ~ ~ ~ tag @p add pl_moving
execute @e[tag=moving,tag=init] ~ ~ ~ tag @s remove init
# particles
scoreboard players add @e[tag=moving] gtimer 1
execute @e[tag=moving,scores={gtimer=1}] ~ ~ ~ particle fur:move ~ ~ ~
scoreboard players reset @e[tag=moving,scores={gtimer=20..}] gtimer
#Bugfix, remove tag=moving when player moves away
tag @e[tag=moving,scores={gtimer=5}] add noNearPlayer
execute @a ~ ~ ~ tag @e[tag=moving,r=4] remove noNearPlayer
#execute @e[tag=noNearPlayer] ~ ~ ~ say I'm not near a player! Remove tag=moving and is_baby!
#force release entity event
tag @e[tag=noNearPlayer,tag=moving] add move_release
tag @e[tag=noNearPlayer] remove noNearPlayer
# title
execute @a[tag=pl_moving] ~ ~ ~ title @s actionbar To release, interact with the furniture.
# it supports up to 6 players moving furniture at the same time
execute @p[scores={move_id=1},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=1},c=1,tag=moving] ^ ^1.4 ^1.7 true
execute @p[scores={move_id=2},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=2},c=1,tag=moving] ^ ^1.4 ^1.7 true
execute @p[scores={move_id=3},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=3},c=1,tag=moving] ^ ^1.4 ^1.7 true
execute @p[scores={move_id=4},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=4},c=1,tag=moving] ^ ^1.4 ^1.7 true
execute @p[scores={move_id=5},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=5},c=1,tag=moving] ^ ^1.4 ^1.7 true
execute @p[scores={move_id=6},tag=pl_moving] ~ ~ ~ tp @e[scores={move_id=6},c=1,tag=moving] ^ ^1.4 ^1.7 true


#Automatic Door
execute @e[type=fur:autodoor,tag=!rotated,rym=-44,ry=45] ~ ~ ~ tag @s add door_NS
execute @e[type=fur:autodoor,tag=!rotated,rym=136,ry=180] ~ ~ ~ tag @s add door_NS
execute @e[type=fur:autodoor,tag=!rotated,rym=-179,ry=-136] ~ ~ ~ tag @s add door_NS
execute @e[type=fur:autodoor,tag=!rotated,rym=46,ry=135] ~ ~ ~ tag @s add door_EW
execute @e[type=fur:autodoor,tag=!rotated,rym=-135,ry=-45] ~ ~ ~ tag @s add door_EW
execute @e[type=fur:autodoor] ~ ~ ~ function fur/door

# Rotate in the first tick of existance
#south
execute @e[tag=fixed_rot,tag=!rotated,rym=-44,ry=45] ~ ~ ~ tp @s ~ ~ ~ 0 0
#north
execute @e[tag=fixed_rot,tag=!rotated,rym=136,ry=180] ~ ~ ~ tp @s ~ ~ ~ 180 0
execute @e[tag=fixed_rot,tag=!rotated,rym=-179,ry=-136] ~ ~ ~ tp @s ~ ~ ~ 180 0
#west
execute @e[tag=fixed_rot,tag=!rotated,rym=46,ry=135] ~ ~ ~ tp @s ~ ~ ~ 90 0
#east
execute @e[tag=fixed_rot,tag=!rotated,rym=-135,ry=-45] ~ ~ ~ tp @s ~ ~ ~ 270 0

# Add tag
tag @e[tag=fixed_rot,tag=!rotated] add rotated



tag @e[type=player,tag=riding_sunlounger] remove riding_sunlounger
execute @e[type=fur:sunlounger,tag=has_rider] ~ ~ ~ tag @e[type=player,tag=is_riding,tag=!riding_sunlounger,c=1,r=2] add riding_sunlounger
execute @e[type=fur:canopybed,tag=has_rider] ~ ~ ~ tag @e[type=player,tag=is_riding,tag=!riding_sunlounger,c=1,r=2] add riding_sunlounger
tag @e[type=player,tag=riding_beachtowel] remove riding_beachtowel
execute @e[type=fur:beachtowel,tag=has_rider] ~ ~ ~ tag @e[type=player,tag=is_riding,tag=!riding_beachtowel,c=1,r=2] add riding_beachtowel
execute @e[type=fur:hammock,tag=has_rider] ~ ~ ~ tag @e[type=player,tag=is_riding,tag=!riding_beachtowel,c=1,r=2] add riding_beachtowel

# Roundabout
execute @e[type=fur:roundabout,tag=has_rider] ~ ~ ~ tp @s ~ ~ ~ ~10

# TUTORIAL
# Controller type=cimap:marker with tag=tutorial is assigned a tutorial score
#BUTTON /scoreboard players add @e[tag=tutorial] tutorial 0
execute @e[type=cimap:marker,tag=tutorial,scores={tutorial=0..}] ~ ~ ~ function fur/tutorial
